#ifndef _FILTERS_EXTERNAL_H
#define _FILTERS_EXTERNAL_H

enum {
	ACCESS_IN,
	ACCESS_OUT,
	ACCESS_BOTH
};

enum {
	CMD_TOGGLE_ERRORS,
	CMD_STOP,
	CMD_NEXT_LINE,
	CMD_NEW_ITEM,
	CMD_FIELD,
	CMD_COMMIT_ITEM,
	CMD_NEXT_ITEM,
	CMD_GET_EMAILS,
};

/* Everything above ERR_OK_SEPARATOR is an OK return code,
 * everything below is an actual error */
enum {
	ERR_OK = 0, /* must be first and equal to zero */
	ERR_OK_DECLARED_NEW_FIELD,
	ERR_OK_SEPARATOR, /* dummy entry for separating OK from errors */
	ERR_UNDECLARED_FIELD,
	ERR_MALFORMED_REQUEST,
	ERR_NO_NAME_FIELD,
	ERR_CMD_NOT_AUTHORIZED,
};

#define send_data(...) do { \
	fprintf(out_data, "%s\n", __VA_ARGS__); \
	fflush(out_data); \
} while(0)

#endif /* _FILTERS_EXTERNAL_H */
